@charset "UTF-8";
/**
 * 交易信息-交易详情
 * date: 2025-12-19
 * author: jyxuan
 */
.detail__hd {
  height: 100px;
}
.detail__hd-con {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  width: 0;
}
.detail__hd-title {
  font-size: 24px;
  font-weight: bold;
  text-overflow: ellipsis;
  line-height: 30px;
  white-space: nowrap;
  overflow: hidden;
}
.detail__hd-text {
  color: #666;
  line-height: 36px;
}
.detail__sign {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  margin-left: 30px;
  padding: 0 20px;
  min-width: 150px;
  height: 50px;
  color: #fff;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  line-height: 50px;
  border-radius: 25px;
  background-image: -webkit-gradient(linear, left bottom, left top, from(#4da9ff), to(#4cc6ff));
  background-image: linear-gradient(0deg, #ed38388f 0%, #fb1d1da3 100%);
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
}
.detail__sign:hover {
  opacity: 0.8;
}
.detail__step {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.detail__step-item {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin-left: 20px;
  padding: 0 10px;
  height: 50px;
  color: #2f2f2f;
  font-size: 16px;
  text-align: center;
  line-height: 20px;
  background-image: linear-gradient(93deg, #CEE2FF -1.73%, #C0D6F6 99.09%);
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.detail__step-item:first-child {
  margin-left: 0;
}
.detail__step-item:first-child::before {
  display: none;
}
.detail__step-item:last-child::after {
  display: none;
}
.detail__step-item::before, .detail__step-item::after {
  content: "";
  position: absolute;
  top: 0;
  height: 100%;
  background: no-repeat center/cover;
  pointer-events: none;
}
.detail__step-item::before {
  right: calc(100% - 1px);
  width: 11px;
  background-image: url("../images/trade/detail_step_icon2_finish.png");
}
.detail__step-item::after {
  left: calc(100% - 1px);
  width: 16px;
  background-image: url("../images/trade/detail_step_icon1_finish.png");
}
.detail__step-item.current {
  color: #fff;
  background-image: linear-gradient(93deg, #3E8DFF -1.73%, #0058D8 99.09%);
}
.detail__step-item.current::before {
  background-image: url("../images/trade/detail_step_icon2_current.png");
}
.detail__step-item.current::after {
  background-image: url("../images/trade/detail_step_icon1_current.png");
}
.detail__step-item.disabled {
  color: #999;
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(255, 255, 255, 0.65)), to(rgba(255, 255, 255, 0.65))), -webkit-gradient(linear, left top, right top, color-stop(0.26%, #ced2d9), color-stop(99.66%, #a8b6c1));
  background: linear-gradient(0deg, rgba(255, 255, 255, 0.65) 0%, rgba(255, 255, 255, 0.65) 100%), linear-gradient(90deg, #ced2d9 0.26%, #a8b6c1 99.66%);
  cursor: not-allowed;
}
.detail__step-item.disabled::before {
  background-image: url("../images/trade/detail_step_icon2_disabled.png");
}
.detail__step-item.disabled::after {
  background-image: url("../images/trade/detail_step_icon1_disabled.png");
}
.detail__bd-item {
  display: none;
}
.detail__bd-item.current {
  display: block;
}
.detail__title {
  margin-bottom: 20px;
  font-size: 28px;
  font-weight: bold;
  text-align: center;
  line-height: 32px;
}
.detail__info {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-bottom: 20px;
  padding: 6px 20px;
  background-color: #ecf1f7;
}
.detail__info-item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  margin-left: 30px;
  color: #666;
  line-height: 20px;
  white-space: nowrap;
}
.detail__info-item:first-child {
  margin-left: 0;
}
.detail__info-item:first-child .detail__info-text {
  white-space: initial;
}
.detail__content {
  position: relative;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  padding: 0 20px 20px;
}
.detail__table {
  table-layout: fixed;
  width: 100%;
}
.detail__table.align-center {
  text-align: center;
}
.detail__table > thead > tr > th {
  padding: 10px;
  height: 20px;
  font-size: 16px;
  border: 1px solid #cfdbe6;
  background-color: #edf4fb;
}
.detail__table > tbody > tr > td {
  padding: 10px;
  height: 20px;
  font-size: 16px;
  border: 1px solid #cfdbe6;
}
.detail__table-label {
  text-align: right;
  background-color: #edf4fb;
}
.detail__change-hd {
  position: absolute;
  top: 0;
  right: calc(100% + 20px);
}
.detail__change-hd::after {
  content: "";
  position: absolute;
  top: 0;
  right: 8px;
  z-index: 1;
  width: 1px;
  height: 100%;
  background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(255, 255, 255, 0)), color-stop(50%, #b0d4ff), to(rgba(255, 255, 255, 0)));
  background-image: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #b0d4ff 50%, rgba(255, 255, 255, 0) 100%);
}
.detail__change-hd-item {
  position: relative;
  z-index: 2;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin-top: 22px;
  padding: 9.5px 22px 9.5px 10px;
  height: 46px;
  color: #bdc5d3;
  font-size: 18px;
  line-height: 27px;
  white-space: nowrap;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.detail__change-hd-item:first-child {
  margin-top: 0;
}
.detail__change-hd-item:hover {
  color: #1770ea;
}
.detail__change-hd-item::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 5px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: #bdc5d3;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
}
.detail__change-hd-item.current {
  color: #1770ea;
}
.detail__change-hd-item.current::after {
  background-image: -webkit-gradient(linear, left top, left bottom, from(#abd9ff), to(#0065ef));
  background-image: linear-gradient(180deg, #abd9ff 0%, #0065ef 100%);
  -webkit-box-shadow: 0 0 0 3px #aedcff;
          box-shadow: 0 0 0 3px #aedcff;
}
.detail__change-bd-item {
  display: none;
}
.detail__change-bd-item.current {
  display: block;
}
.detail__file-title {
  font-size: 18px;
  font-weight: bold;
  line-height: 27px;
}
.detail__file-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -ms-flex-line-pack: start;
      align-content: flex-start;
  margin-top: 8px;
}
.detail__file-item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 8px 0 0 8px;
  padding: 8px 12px 8px 8px;
  width: calc((100% - 8px) / 2.0001);
  height: 56px;
  border-radius: 4px;
  background: #f5f6f7;
}
.detail__file-item:nth-child(-n+2) {
  margin-top: 0;
}
.detail__file-item:nth-child(2n+1) {
  margin-left: 0;
}
.detail__file-item:hover {
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(255, 255, 255, 0.9)), to(rgba(255, 255, 255, 0.9))), #1770ea;
  background: linear-gradient(0deg, rgba(255, 255, 255, 0.9) 0%, rgba(255, 255, 255, 0.9) 100%), #1770ea;
}
.detail__file-item:hover .detail__file-icon {
  display: block;
}
.detail__file-img {
  margin-right: 8px;
  width: 40px;
  height: 100%;
  background: url("../images/trade/detail_file_icon.png") no-repeat center;
}
.detail__file-name {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  width: 0;
  color: #2f2f2f;
  line-height: 21px;
}
.detail__file-text {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}
.detail__file-icon {
  display: none;
  margin-left: 12px;
  width: 15px;
  height: 15px;
  background: url("../images/trade/detail_download_icon.png") no-repeat center;
}

/* 换肤 */
body[data-skin=red] .detail__sign {
  background-image: -webkit-gradient(linear, left bottom, left top, from(#c03339), to(#f87e6c));
  background-image: linear-gradient(0deg, #c03339 0%, #f87e6c 100%);
}
body[data-skin=red] .detail__notice::after {
  background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(255, 255, 255, 0)), color-stop(50%, #ddb7b7), to(rgba(255, 255, 255, 0)));
  background-image: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #ddb7b7 50%, rgba(255, 255, 255, 0) 100%);
}
body[data-skin=red] .detail__notice-link.current::after {
  background-image: -webkit-gradient(linear, left top, left bottom, from(#ffcaab), to(#ef0000));
  background-image: linear-gradient(180deg, #ffcaab 0%, #ef0000 100%);
  -webkit-box-shadow: 0 0 0 3px #ffcdcd;
          box-shadow: 0 0 0 3px #ffcdcd;
}
body[data-skin=red] .detail__info {
  background-color: #fbf0f1;
}
body[data-skin=red] .detail__change-hd-item:hover {
  color: #c03339;
}
body[data-skin=red] .detail__change-hd-item.current {
  color: #c03339;
}
body[data-skin=red] .detail__file-item:hover {
  background: -webkit-gradient(linear, left bottom, left top, from(rgba(255, 255, 255, 0.9)), to(rgba(255, 255, 255, 0.9))), #c03339;
  background: linear-gradient(0deg, rgba(255, 255, 255, 0.9) 0%, rgba(255, 255, 255, 0.9) 100%), #c03339;
}
body[data-skin=red] .detail__file-icon {
  background-image: url("../images/trade/red/detail_download_icon.png");
}
table {
max-width: 1000px;
}
